# __gnu_cxx::_Rope_flatten_char_consumer< _CharT > Class Template Reference

Inheritance diagram for __gnu_cxx::_Rope_flatten_char_consumer< _CharT >:

List of all members.

## Detailed Description

### template<class _CharT>
class __gnu_cxx::_Rope_flatten_char_consumer< _CharT >

Definition at line 843 of file ropeimpl.h.

## Public Member Functions

- _Rope_flatten_char_consumer (_CharT *__buffer)
- bool operator() (const _CharT *__leaf, size_t __n)
- ~_Rope_flatten_char_consumer ()

The documentation for this class was generated from the following file:

- ropeimpl.h